Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.base
Class JRBaseSubreportParameter

    java.lang.Object
      net.sf.jasperreports.engine.base.JRBaseDatasetParameter
          net.sf.jasperreports.engine.base.JRBaseSubreportParameter

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, JRCloneable, JRDatasetParameter, JRSubreportParameter

    public class JRBaseSubreportParameter

extends JRBaseDatasetParameter
implements JRSubreportParameter

Version:
  $Id: JRBaseSubreportParameter.java 3033 2009-08-27 11:46:22Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary

Fields inherited from class net.sf.jasperreports.engine.base.JRBaseDatasetParameter
`expression, name`

Constructor Summary
`protected` | `JRBaseSubreportParameter()`
`protected` | `JRBaseSubreportParameter(JRSubreportParameter subreportParameter, JRBaseObjectFactory factory)`

Method Summary

Methods inherited from class net.sf.jasperreports.engine.base.JRBaseDatasetParameter
`clone, getExpression, getName`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.jasperreports.engine.JRDatasetParameter
`getExpression, getName`

Methods inherited from interface net.sf.jasperreports.engine.JRCloneable
`clone`

Constructor Detail

### JRBaseSubreportParameter

    protected JRBaseSubreportParameter()

### JRBaseSubreportParameter

    protected JRBaseSubreportParameter(JRSubreportParameter subreportParameter,
                                       JRBaseObjectFactory factory)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com